Package net.shibboleth.idp.saml.audit.impl

# Class EncryptionAlgorithmAuditExtractor

java.lang.Object
net.shibboleth.idp.saml.audit.impl.EncryptionAlgorithmAuditExtractor

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class EncryptionAlgorithmAuditExtractor extends Object implements Function<ProfileRequestContext,String>
`Function` that returns the data encryption algorithm used.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,EncryptionContext>`
`encryptionContextLookupStrategy`
Lookup strategy for `EncryptionContext`.

## Constructor Summary

Constructors
Constructor
Description
`EncryptionAlgorithmAuditExtractor()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`
`void`
`setEncryptionContextLookupStrategy(Function<ProfileRequestContext,EncryptionContext> strategy)`
Sets the lookup strategy for the `EncryptionContext`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### encryptionContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,EncryptionContext> encryptionContextLookupStrategy
Lookup strategy for `EncryptionContext`.

## Constructor Details

### EncryptionAlgorithmAuditExtractor

public EncryptionAlgorithmAuditExtractor()
Constructor.

## Method Details

### setEncryptionContextLookupStrategy

public void setEncryptionContextLookupStrategy(@Nonnull Function<ProfileRequestContext,EncryptionContext> strategy)
Sets the lookup strategy for the `EncryptionContext`.

Parameters:
  `strategy` - lookup strategy for context

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`